package com.banesco.common.domain.model;

import java.util.Map;

/**
 * Clase de configuración para APIs. Almacena la información necesaria para
 * conectarse a un servicio API externo, incluyendo URL, configuración de
 * timeout y parámetros adicionales. Diseñada para ser utilizada como objeto de
 * configuración en clientes de API y servicios de integración.
 */
public class ApiConfig {

    String url;
    ApiTimeout timeout;
    Map<String, String> config;

    public ApiConfig(){

    }

    public ApiConfig(String url,
                     ApiTimeout timeout,
                     Map<String, String> config) {

        this.url = url;
        this.timeout = timeout;
        this.config = config;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public ApiTimeout getTimeout() {
        return timeout;
    }

    public void setTimeout(ApiTimeout timeout) {
        this.timeout = timeout;
    }

    public Map<String, String> getConfig() {
        return config;
    }

    public void setConfig(Map<String, String> config) {
        this.config = config;
    }

}
